{% extends 'tienda/base.html' %}

{% load static %}
{% load humanize %}

{% block titul %} Productos {% endblock %}

{% block contenedor %}
  <br>
  <div class="container-fluid">
    <a class="btn btn-success" href="{% url 'tienda:form_pro' %}">Crear</a>

  {% if data %}

    <form class="d-flex mt-2 mb-4" role="search" method="post" action="{% url 'tienda:pro_buscar' %}">
      {% csrf_token %}
      <input class="form-control me-2" type="search" placeholder="Buscar por nombre o descripción" aria-label="Search" name="buscar" value="{{ buscado }}">
      <button class="btn btn-outline-success" type="submit">Buscar</button>
    </form>

    <table class="table table-hover">
      <tr>
        <th>ID</th>
        <th>Nombre</th>
        <th>Foto</th>
        <th>Precio</th>
        <th>Fecha Compra</th>
        <th>Categoría</th>
        <th>Acciones</th>
      </tr>
    {% for i in data %}
      <tr>
        <td>{{ i.id }}</td>
        <td>{{ i.nombre }}</td>
        <td><img src="{{ i.foto.url }}" width="8%"></td>
        <td class="text-end">${{ i.precio|intcomma }}</td>
        <td>{{ i.fecha_compra }}</td><!-- |date:"SHORT_DATE_FORMAT"--><!-- |date:"D d M Y" --><!-- |date:"Y/m/d" -->
        <td>
          {% if i.categoria.nombre|upper == "SHORTS" %}
            <button type="button" class="btn btn-primary position-relative">
              {{ i.categoria.nombre|upper }}
              <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                Nuevo
                <span class="visually-hidden">unread messages</span>
              </span>
            </button>
          {% else %}
            {{ i.categoria.nombre|upper }}
          {% endif %}
        </td>
        <td>
          <a href="{% url 'tienda:form_edit_pro' i.id %}" class="btn btn-info">Editar</a>
          <a href="javascript:confirmar_eliminar('{% url 'tienda:productos_eliminar' i.id %}');" class="btn btn-danger">Eliminar</a>
        </td>
      </tr>
    {% endfor %}
    </table>

    <nav aria-label="...">
      <ul class="pagination">
        <li class="page-item disabled">
          <a class="page-link">Previous</a>
        </li>
        <li class="page-item"><a class="page-link" href="#">1</a></li>
        <li class="page-item active" aria-current="page">
          <a class="page-link" href="#">2</a>
        </li>
        <li class="page-item"><a class="page-link" href="#">3</a></li>
        <li class="page-item">
          <a class="page-link" href="#">Next</a>
        </li>
      </ul>
    </nav>

  {% else %}
    <div class="card bg-warning mt-5 mb-5 p-1">
      NO hay registros....
    </div>
  {% endif %}
</div>
{% endblock %}